Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0049046
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[POS2] POSmajorhave not tried2022-04-12 17:052022-05-20 14:16
ReporterAugustoMauchView Statuspublic 
Assigned Tojarmendariz 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0049046: Product Search - First phase

DescriptionThis feature request will include the first phase of product search: https://docs.google.com/document/d/1erewD4Cgx5rYjsiHdA4fi_Mf4zDI_NmRp2PL8K2VmvE/edit# [^]

This phase will include:
- A search input whan when focus will have a different layout that without it
- When performing a search, the ProductBrowse mode is replaced by the ProductSearch mode
- The ProductSearch mode will display the list of products that match the search input and a combo to determine how those products should be sorted


This phase will NOT include:
- Input size change when its status goes from collapsed to uncollapsed
- Support for other available filters (category, price, characteristics, etc)
- Support for showing only the products for the selected schema
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0136515)
hgbot (developer)
2022-04-13 19:15

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/925 [^]
(0136522)
hgbot (developer)
2022-04-14 19:30

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/733 [^]
(0137254)
hgbot (developer)
2022-05-13 09:15

Merge request closed: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/733 [^]
(0137580)
hgbot (developer)
2022-05-20 14:16

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/925 [^]
(0137581)
hgbot (developer)
2022-05-20 14:16

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 237b8209a715a95155b8ad0d10f7fbddff6efbf4
Author: Augusto Mauch <augusto.mauch@openbravo.com>
Date: 20-05-2022 14:16:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/237b8209a715a95155b8ad0d10f7fbddff6efbf4 [^]

Fixes ISSUE-49046: Merge branch 'fr/49046-product-search'

---
---

- Issue History
Date Modified Username Field Change
2022-04-12 17:05 AugustoMauch New Issue
2022-04-12 17:05 AugustoMauch Assigned To => jarmendariz
2022-04-12 17:05 AugustoMauch Triggers an Emergency Pack => No
2022-04-12 17:06 AugustoMauch Status new => scheduled
2022-04-13 19:15 hgbot Note Added: 0136515
2022-04-14 19:30 hgbot Note Added: 0136522
2022-05-13 09:15 hgbot Note Added: 0137254
2022-05-18 09:20 AugustoMauch Summary Product Search => Product Search - First phase
2022-05-18 09:20 AugustoMauch Description Updated View Revisions
2022-05-18 09:22 AugustoMauch Issue cloned 0049349
2022-05-20 14:16 hgbot Note Added: 0137580
2022-05-20 14:16 hgbot Resolution open => fixed
2022-05-20 14:16 hgbot Status scheduled => closed
2022-05-20 14:16 hgbot Note Added: 0137581


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker